net.sourceforge.pmd.symboltable

## Class NameOccurrencesTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.NameOccurrencesTest

    public class NameOccurrencesTest
    extends STBBaseTst

### Field Summary

Fields
`static String` `TEST_ENUM`
`static String` `TEST1`
`static String` `TEST2`
`static String` `TEST3`
`static String` `TEST4`
`static String` `TEST5`
`static String` `TEST6`

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`NameOccurrencesTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testEnumStaticUsage()`
`void` `testIsSelfAssignment()`
`void` `testNameLinkage()`
`void` `testQualifiedOccurrence()`
`void` `testSimpleVariableOccurrence()`
`void` `testSuper()`
`void` `testThis()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST1

    public static final String TEST1

#### TEST2

    public static final String TEST2

#### TEST3

    public static final String TEST3

#### TEST4

    public static final String TEST4

#### TEST5

    public static final String TEST5

#### TEST6

    public static final String TEST6

#### TEST_ENUM

    public static final String TEST_ENUM

### Constructor Detail

#### NameOccurrencesTest

    public NameOccurrencesTest()

### Method Detail

#### testSuper

    public void testSuper()

#### testThis

    public void testThis()

#### testNameLinkage

    public void testNameLinkage()

#### testSimpleVariableOccurrence

    public void testSimpleVariableOccurrence()

#### testQualifiedOccurrence

    public void testQualifiedOccurrence()

#### testIsSelfAssignment

    public void testIsSelfAssignment()

#### testEnumStaticUsage

    public void testEnumStaticUsage()

#### suite

    public static junit.framework.Test suite()